--- old/usr/src/man/man1m/mailwrapper.1m	Tue Aug 20 06:34:38 2019
+++ new/usr/src/man/man1m/mailwrapper.1m	Tue Aug 20 06:34:38 2019
@@ -3,7 +3,7 @@
 .\" $FreeBSD: releng/9.1/usr.sbin/mailwrapper/mailwrapper.8 205938 2010-03-30 21:54:25Z delphij $
 .\"
 .\" Copyright (c) 1998
-.\" 	Perry E. Metzger.  All rights reserved.
+.\"	Perry E. Metzger.  All rights reserved.
 .\"
 .\" Redistribution and use in source and binary forms, with or without
 .\" modification, are permitted provided that the following conditions
@@ -31,11 +31,11 @@
 .\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 .\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 .\"
-.Dd August 7, 2006
+.Dd August 20, 2019
 .Dt MAILWRAPPER 1M
 .Os
 .Sh NAME
-.Nm \fB/usr/lib/mailwrapper\fR
+.Nm mailwrapper
 .Nd invoke appropriate MTA software based on configuration file
 .Sh SYNOPSIS
 Special.
--- old/usr/src/man/man3c/Makefile	Tue Aug 20 06:34:38 2019
+++ new/usr/src/man/man3c/Makefile	Tue Aug 20 06:34:38 2019
@@ -945,6 +945,7 @@
 		iswalnum_l.3c				\
 		iswalpha_l.3c				\
 		iswascii.3c				\
+		iswascii_l.3c				\
 		iswblank.3c				\
 		iswblank_l.3c				\
 		iswcntrl.3c				\
@@ -1947,6 +1948,7 @@
 iswalnum_l.3c				:= LINKSRC = iswalpha.3c
 iswalpha_l.3c				:= LINKSRC = iswalpha.3c
 iswascii.3c				:= LINKSRC = iswalpha.3c
+iswascii_l.3c				:= LINKSRC = iswalpha.3c
 iswblank.3c				:= LINKSRC = iswalpha.3c
 iswblank_l.3c				:= LINKSRC = iswalpha.3c
 iswcntrl.3c				:= LINKSRC = iswalpha.3c
--- old/usr/src/man/man3c/ctype.3c	Tue Aug 20 06:34:38 2019
+++ new/usr/src/man/man3c/ctype.3c	Tue Aug 20 06:34:38 2019
@@ -46,14 +46,13 @@
 .\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright 2016 Joyent, Inc.
 .\"
-.TH CTYPE 3C "Mar 14, 2016"
+.TH CTYPE 3C "Aug 20, 2019"
 .SH NAME
 ctype, isalpha, isalnum, isascii, isblank, iscntrl, isdigit, islower,
 isprint, isspace, isupper, ispunct, isgraph, isxdigit, isalpha_l,
 isalnum_l, isblank_l, iscntrl_l, isdigit_l, islower_l, isprint_l,
-isspace_l, isupper_l, ispunct_l, isgraph_l isxdigit_l \- character handling
+isspace_l, isupper_l, ispunct_l, isgraph_l, isxdigit_l \- character handling
 .SH SYNOPSIS
-.LP
 .nf
 #include <ctype.h>
 
@@ -156,7 +155,6 @@
 \fBint\fR \fBisxdigit_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
 .SH DESCRIPTION
-.LP
 These functions classify character-coded integer values. Each is a
 predicate returning non-zero for true, \fB0\fR for false. The behavior
 of these macros, except \fBisascii()\fR, is affected by the current
@@ -182,7 +180,7 @@
 .sp
 .ne 2
 .na
-\fB\fBisalpha()\fR\fR
+\fBisalpha()\fR
 .ad
 .RS 13n
 Tests for any character for which \fBisupper()\fR or \fBislower()\fR is true,
@@ -195,7 +193,7 @@
 .sp
 .ne 2
 .na
-\fB\fBisalnum()\fR\fR
+\fBisalnum()\fR
 .ad
 .RS 13n
 Tests for any character for which \fBisalpha()\fR or \fBisdigit()\fR is true
@@ -205,7 +203,7 @@
 .sp
 .ne 2
 .na
-\fB\fBisascii()\fR\fR
+\fBisascii()\fR
 .ad
 .RS 13n
 Tests for any ASCII character, code between \fB0\fR and \fB0177\fR inclusive.
@@ -214,7 +212,7 @@
 .sp
 .ne 2
 .na
-\fB\fBisblank()\fR\fR
+\fBisblank()\fR
 .ad
 .RS 13n
 Tests whether \fIc\fR is a character of class blank in the current locale. This
@@ -225,7 +223,7 @@
 .sp
 .ne 2
 .na
-\fB\fBiscntrl()\fR\fR
+\fBiscntrl()\fR
 .ad
 .RS 13n
 Tests for any ``control character'' as defined by the character set.
@@ -234,7 +232,7 @@
 .sp
 .ne 2
 .na
-\fB\fBisdigit()\fR\fR
+\fBisdigit()\fR
 .ad
 .RS 13n
 Tests for any decimal-digit character.
@@ -243,7 +241,7 @@
 .sp
 .ne 2
 .na
-\fB\fBisgraph()\fR\fR
+\fBisgraph()\fR
 .ad
 .RS 13n
 Tests for any character for which \fBisalnum()\fR and \fBispunct()\fR are true,
@@ -254,7 +252,7 @@
 .sp
 .ne 2
 .na
-\fB\fBislower()\fR\fR
+\fBislower()\fR
 .ad
 .RS 13n
 Tests for any character that is a lower-case letter or is one of the current
@@ -267,7 +265,7 @@
 .sp
 .ne 2
 .na
-\fB\fBisprint()\fR\fR
+\fBisprint()\fR
 .ad
 .RS 13n
 Tests for any character for which \fBiscntrl()\fR is false, and
@@ -278,7 +276,7 @@
 .sp
 .ne 2
 .na
-\fB\fBispunct()\fR\fR
+\fBispunct()\fR
 .ad
 .RS 13n
 Tests for any printing character which is neither a space ("\|") nor a
@@ -288,7 +286,7 @@
 .sp
 .ne 2
 .na
-\fB\fBisspace()\fR\fR
+\fBisspace()\fR
 .ad
 .RS 13n
 Tests for any space, tab, carriage-return, newline, vertical-tab or form-feed
@@ -300,7 +298,7 @@
 .sp
 .ne 2
 .na
-\fB\fBisupper()\fR\fR
+\fBisupper()\fR
 .ad
 .RS 13n
 Tests for any character that is an upper-case letter or is one of the current
@@ -313,7 +311,7 @@
 .sp
 .ne 2
 .na
-\fB\fBisxdigit()\fR\fR
+\fBisxdigit()\fR
 .ad
 .RS 14n
 Tests for any hexadecimal-digit character (\fB[0\(mi9]\fR, \fB[A\(miF]\fR, or
@@ -330,13 +328,11 @@
 .RE
 
 .SH RETURN VALUES
-.LP
 If the argument to any of the character handling macros is not in the domain of
 the function, the result is undefined. Otherwise, the macro or function returns
 non-zero if the classification is \fBTRUE\fR and \fB0\fR if the classification
 is \fBFALSE\fR.
 .SH ATTRIBUTES
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .TS
 box;
@@ -352,7 +348,6 @@
 .TE
 
 .SH SEE ALSO
-.LP
 \fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBuselocale\fR(3C),
 \fBstdio\fR(3C), \fBascii\fR(5), \fBenviron\fR(5),
 \fBstandards\fR(5)
--- old/usr/src/man/man3c/pthread_attr_get_np.3c	Tue Aug 20 06:34:38 2019
+++ new/usr/src/man/man3c/pthread_attr_get_np.3c	Tue Aug 20 06:34:38 2019
@@ -11,7 +11,7 @@
 .\"
 .\" Copyright 2016 Joyent, Inc.
 .\"
-.Dd Feb 07, 2015
+.Dd Aug 20, 2019
 .Dt PTHREAD_ATTR_GET_NP 3C
 .Os
 .Sh NAME
@@ -39,7 +39,7 @@
 The attributes should be allocated by a call to
 .Xr pthread_attr_init 3C
 prior to calling the
-.Fn pthrad_attr_get_np
+.Fn pthread_attr_get_np
 function.
 When
 .Fa attr
--- old/usr/src/man/man3c/pthread_mutexattr_getrobust.3c	Tue Aug 20 06:34:39 2019
+++ new/usr/src/man/man3c/pthread_mutexattr_getrobust.3c	Tue Aug 20 06:34:39 2019
@@ -11,12 +11,12 @@
 .\"
 .\" Copyright (c) 2014, Joyent, Inc.
 .\"
-.Dd "Dec 22, 2014"
+.Dd "Aug 20, 2019"
 .Dt PTHREAD_MUTEXATTR_GETROBUST 3C
 .Os
 .Sh NAME
 .Nm pthread_mutexattr_getrobust ,
-.Nm pthrad_mutexattr_setrobust
+.Nm pthread_mutexattr_setrobust
 .Nd get and set the mutex robust attribute
 .Sh SYNOPSIS
 .In pthread.h
--- old/usr/src/man/man3c/strftime.3c	Tue Aug 20 06:34:39 2019
+++ new/usr/src/man/man3c/strftime.3c	Tue Aug 20 06:34:39 2019
@@ -46,11 +46,10 @@
 .\" Copyright (c) 2014 Gary Mills
 .\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"
-.TH STRFTIME 3C "Mar 30, 2019"
+.TH STRFTIME 3C "Aug 20, 2019"
 .SH NAME
-strftime, strftime_l cftime, ascftime \- convert date and time to string
+strftime, strftime_l, cftime, ascftime \- convert date and time to string
 .SH SYNOPSIS
-.LP
 .nf
 #include <time.h>
 
@@ -75,7 +74,6 @@
 .fi
 
 .SH DESCRIPTION
-.LP
 The \fBstrftime()\fR, \fBstrftime_l()\fR, \fBascftime()\fR, and \fBcftime()\fR
 functions place
 bytes into the array pointed to by \fIs\fR as controlled by the string pointed
@@ -106,7 +104,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%%\fR\fR
+\fB%%\fR
 .ad
 .RS 6n
 Same as \fB%\fR.
@@ -115,7 +113,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%a\fR\fR
+\fB%a\fR
 .ad
 .RS 6n
 Locale's abbreviated weekday name.
@@ -124,7 +122,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%A\fR\fR
+\fB%A\fR
 .ad
 .RS 6n
 Locale's full weekday name.
@@ -133,7 +131,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%b\fR\fR
+\fB%b\fR
 .ad
 .RS 6n
 Locale's abbreviated month name.
@@ -142,7 +140,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%B\fR\fR
+\fB%B\fR
 .ad
 .RS 6n
 Locale's full month name.
@@ -151,7 +149,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%c\fR\fR
+\fB%c\fR
 .ad
 .RS 6n
 Locale's appropriate date and time representation.
@@ -169,7 +167,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%C\fR\fR
+\fB%C\fR
 .ad
 .RS 6n
 Century number (the year divided by 100 and truncated to an integer as a
@@ -179,7 +177,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%d\fR\fR
+\fB%d\fR
 .ad
 .RS 6n
 Day of month [01,31].
@@ -188,7 +186,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%D\fR\fR
+\fB%D\fR
 .ad
 .RS 6n
 Date as \fB%m\fR/\fB%d\fR/\fB%y\fR.
@@ -197,7 +195,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%e\fR\fR
+\fB%e\fR
 .ad
 .RS 6n
 Day of month [1,31]; single  digits are preceded by a space.
@@ -206,7 +204,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%F\fR\fR
+\fB%F\fR
 .ad
 .RS 6n
 Equivalent to \fB%Y\fR-\fB%m\fR-\fB%d\fR (the ISO 8601:2000 standard date
@@ -216,7 +214,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%g\fR\fR
+\fB%g\fR
 .ad
 .RS 6n
 Week-based year within century [00,99].
@@ -225,7 +223,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%G\fR\fR
+\fB%G\fR
 .ad
 .RS 6n
 Week-based year, including the century [0000,9999].
@@ -234,7 +232,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%h\fR\fR
+\fB%h\fR
 .ad
 .RS 6n
 Locale's abbreviated month name.
@@ -243,7 +241,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%H\fR\fR
+\fB%H\fR
 .ad
 .RS 6n
 Hour (24-hour clock) [00,23].
@@ -252,7 +250,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%I\fR\fR
+\fB%I\fR
 .ad
 .RS 6n
 Hour (12-hour clock) [01,12].
@@ -261,7 +259,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%j\fR\fR
+\fB%j\fR
 .ad
 .RS 6n
 Day number of year [001,366].
@@ -270,7 +268,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%k\fR\fR
+\fB%k\fR
 .ad
 .RS 6n
 Hour (24-hour clock) [0,23]; single digits are preceded by a space.
@@ -279,7 +277,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%l\fR\fR
+\fB%l\fR
 .ad
 .RS 6n
 Hour (12-hour clock) [1,12]; single digits are preceded by a space.
@@ -288,7 +286,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%m\fR\fR
+\fB%m\fR
 .ad
 .RS 6n
 Month number [01,12].
@@ -297,7 +295,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%M\fR\fR
+\fB%M\fR
 .ad
 .RS 6n
 Minute [00,59].
@@ -306,7 +304,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%n\fR\fR
+\fB%n\fR
 .ad
 .RS 6n
 Insert a NEWLINE.
@@ -315,7 +313,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%p\fR\fR
+\fB%p\fR
 .ad
 .RS 6n
 Locale's equivalent of either a.m. or p.m.
@@ -324,7 +322,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%r\fR\fR
+\fB%r\fR
 .ad
 .RS 6n
 Appropriate time representation in 12-hour clock format with \fB%p\fR.
@@ -333,7 +331,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%R\fR\fR
+\fB%R\fR
 .ad
 .RS 6n
 Time as \fB%H\fR:\fB%M\fR.
@@ -342,7 +340,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%s\fR\fR
+\fB%s\fR
 .ad
 .RS 6n
 Seconds since 00:00:00 UTC, January 1, 1970.
@@ -351,7 +349,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%S\fR\fR
+\fB%S\fR
 .ad
 .RS 6n
 Seconds [00,60]; the range of values is [00,60] rather than [00,59] to allow
@@ -361,7 +359,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%t\fR\fR
+\fB%t\fR
 .ad
 .RS 6n
 Insert a TAB.
@@ -370,7 +368,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%T\fR\fR
+\fB%T\fR
 .ad
 .RS 6n
 Time as \fB%H\fR:\fB%M\fR:\fB%S\fR.
@@ -379,7 +377,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%u\fR\fR
+\fB%u\fR
 .ad
 .RS 6n
 Weekday as a decimal number [1,7], with 1 representing Monday. See \fBNOTES\fR
@@ -389,7 +387,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%U\fR\fR
+\fB%U\fR
 .ad
 .RS 6n
 Week number of year as a decimal number [00,53], with Sunday as the first day
@@ -399,7 +397,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%v\fR\fR
+\fB%v\fR
 .ad
 .RS 6n
 Date as \fB%e\fR-\fB%b\fR-\fB%Y\fR.
@@ -408,7 +406,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%V\fR\fR
+\fB%V\fR
 .ad
 .RS 6n
 The ISO 8601 week number as a decimal number [01,53]. In the ISO 8601
@@ -421,7 +419,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%w\fR\fR
+\fB%w\fR
 .ad
 .RS 6n
 Weekday as a decimal number [0,6], with 0 representing Sunday.
@@ -430,7 +428,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%W\fR\fR
+\fB%W\fR
 .ad
 .RS 6n
 Week number of year as a decimal number [00,53], with Monday as the first day
@@ -440,7 +438,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%x\fR\fR
+\fB%x\fR
 .ad
 .RS 6n
 Locale's appropriate date representation.
@@ -449,7 +447,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%X\fR\fR
+\fB%X\fR
 .ad
 .RS 6n
 Locale's appropriate time representation.
@@ -458,7 +456,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%y\fR\fR
+\fB%y\fR
 .ad
 .RS 6n
 Year within century [00,99].
@@ -467,7 +465,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%Y\fR\fR
+\fB%Y\fR
 .ad
 .RS 6n
 Year, including the century (for example 1993).
@@ -476,7 +474,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%z\fR\fR
+\fB%z\fR
 .ad
 .RS 6n
 Replaced by offset from UTC in ISO 8601:2000 standard format (\fB+hhmm\fR or
@@ -490,7 +488,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%Z\fR\fR
+\fB%Z\fR
 .ad
 .RS 6n
 Time zone name or abbreviation, or no bytes if no time zone information exists.
@@ -499,7 +497,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%+\fR\fR
+\fB%+\fR
 .ad
 .RS 6n
 Locale's date and time representation as produced by \fBdate\fR(1).
@@ -517,7 +515,6 @@
 those days before the first Sunday or Monday in January for \fB%U\fR and
 \fB%W\fR, respectively.
 .SS "Modified Conversion Specifications"
-.LP
 Some conversion specifications can be modified by the \fBE\fR and \fBO\fR
 modifiers to indicate that an alternate format or specification should be used
 rather than the one normally used by the unmodified conversion specification.
@@ -526,7 +523,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%Ec\fR\fR
+\fB%Ec\fR
 .ad
 .RS 7n
 Locale's alternate appropriate date and time representation.
@@ -535,7 +532,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%EC\fR\fR
+\fB%EC\fR
 .ad
 .RS 7n
 Name of the base year (period) in the locale's alternate representation.
@@ -544,7 +541,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%Eg\fR\fR
+\fB%Eg\fR
 .ad
 .RS 7n
 Offset from \fB%EC\fR of the week-based year in the locale's alternative
@@ -554,7 +551,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%EG\fR\fR
+\fB%EG\fR
 .ad
 .RS 7n
 Full alternative representation of the week-based year.
@@ -563,7 +560,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%Ex\fR\fR
+\fB%Ex\fR
 .ad
 .RS 7n
 Locale's alternate date representation.
@@ -572,7 +569,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%EX\fR\fR
+\fB%EX\fR
 .ad
 .RS 7n
 Locale's alternate time representation.
@@ -581,7 +578,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%Ey\fR\fR
+\fB%Ey\fR
 .ad
 .RS 7n
 Offset from \fB%EC\fR (year only) in the locale's alternate representation.
@@ -590,7 +587,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%EY\fR\fR
+\fB%EY\fR
 .ad
 .RS 7n
 Full alternate year representation.
@@ -599,7 +596,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%Od\fR\fR
+\fB%Od\fR
 .ad
 .RS 7n
 Day of the month using the locale's alternate numeric symbols.
@@ -608,7 +605,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%Oe\fR\fR
+\fB%Oe\fR
 .ad
 .RS 7n
 Same as \fB%Od\fR.
@@ -617,7 +614,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%Og\fR\fR
+\fB%Og\fR
 .ad
 .RS 7n
 Week-based year (offset from \fB%C\fR) in the locale's alternate representation
@@ -627,7 +624,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%OH\fR\fR
+\fB%OH\fR
 .ad
 .RS 7n
 Hour (24-hour clock) using the locale's alternate numeric symbols.
@@ -636,7 +633,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%OI\fR\fR
+\fB%OI\fR
 .ad
 .RS 7n
 Hour (12-hour clock) using the locale's alternate numeric symbols.
@@ -645,7 +642,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%Om\fR\fR
+\fB%Om\fR
 .ad
 .RS 7n
 Month using the locale's alternate numeric symbols.
@@ -654,7 +651,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%OM\fR\fR
+\fB%OM\fR
 .ad
 .RS 7n
 Minutes using the locale's alternate numeric symbols.
@@ -663,7 +660,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%OS\fR\fR
+\fB%OS\fR
 .ad
 .RS 7n
 Seconds using the locale's alternate numeric symbols.
@@ -672,7 +669,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%Ou\fR\fR
+\fB%Ou\fR
 .ad
 .RS 7n
 Weekday as a number in the locale's alternate numeric symbols.
@@ -681,7 +678,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%OU\fR\fR
+\fB%OU\fR
 .ad
 .RS 7n
 Week number of the year (Sunday as the first day of the week) using the
@@ -691,7 +688,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%Ow\fR\fR
+\fB%Ow\fR
 .ad
 .RS 7n
 Number of the weekday (Sunday=0) using the  locale's alternate numeric symbols.
@@ -700,7 +697,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%OW\fR\fR
+\fB%OW\fR
 .ad
 .RS 7n
 Week number of the year (Monday as the first day of the week) using the
@@ -710,7 +707,7 @@
 .sp
 .ne 2
 .na
-\fB\fB%Oy\fR\fR
+\fB%Oy\fR
 .ad
 .RS 7n
 Year (offset from \fB%C\fR) in the locale's alternate representation and using
@@ -718,15 +715,12 @@
 .RE
 
 .SS "Selecting the Output Language"
-.LP
 These routines produce output that is formatted according to the \fBLC_TIME\fR
 locale category.  They use either the current locale, or in the case of
 \fBstrftime_l()\fR, the locale supplied by \fIloc\fR.
 .SS "Time Zone"
-.LP
 Local time zone information is used as though \fBtzset\fR(3C) were called.
 .SH RETURN VALUES
-.LP
 These functions return the
 number of characters placed into the array pointed to by \fIs\fR, not including
 the terminating null character. If the total number of resulting characters
@@ -734,7 +728,6 @@
 \fBstrftime()\fR returns \fB0\fR and the contents of the array are
 indeterminate.
 .SH EXAMPLES
-.LP
 \fBExample 1 \fRAn example of the \fBstrftime()\fR function.
 .LP
 The following example illustrates the use of \fBstrftime()\fR for the
@@ -748,7 +741,6 @@
 .LP
 This results in \fIstr\fR containing "Thursday Aug 28 240".
 .SH ATTRIBUTES
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .TS
 box;
@@ -771,13 +763,11 @@
 .LP
 For \fBstrftime()\fR and \fBstrftime_l()\fR, see \fBstandards\fR(5).
 .SH SEE ALSO
-.LP
 \fBdate\fR(1), \fBctime\fR(3C), \fBmktime\fR(3C),
 \fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBstrptime\fR(3C), \fBtzset\fR(3C),
 \fBuselocale\fR(3C), \fBTIMEZONE\fR(4), \fBzoneinfo\fR(4),
 \fBattributes\fR(5), \fBenviron\fR(5), \fBstandards\fR(5)
 .SH NOTES
-.LP
 The conversion specification for \fB%V\fR was changed in the Solaris 7 release.
 This change was based on the public review draft of the ISO C9x standard at
 that time. Previously, the specification stated that if the week containing 1
--- old/usr/src/man/man3c/tss.3c	Tue Aug 20 06:34:39 2019
+++ new/usr/src/man/man3c/tss.3c	Tue Aug 20 06:34:39 2019
@@ -11,13 +11,13 @@
 .\"
 .\" Copyright 2016 Joyent, Inc.
 .\"
-.Dd "Jan 11, 2015"
+.Dd "Aug 20, 2019"
 .Dt TSS 3C
 .Os
 .Sh NAME
 .Nm tss ,
 .Nm tss_create ,
-.Nm tss_destroy ,
+.Nm tss_delete ,
 .Nm tss_get ,
 .Nm tss_set
 .Nd thread-specific storage
@@ -47,7 +47,7 @@
 .Sy tss
 family of functions create, get, set, and destroy thread-specific
 storage.
-.Ss Creating and Destorying Thread-Specific Storage
+.Ss Creating and Destroying Thread-Specific Storage
 The
 .Fn tss_create
 function creates a new thread-specific data key.
@@ -58,7 +58,7 @@
 .Fn tss_set
 functions.
 A given key persists until
-.Fn tss_destroy
+.Fn tss_delete
 is called.
 .Pp
 When a key is created, the value
@@ -88,10 +88,10 @@
 calling program to free any storage that was associated with
 .Fa key
 across all threads.
-Because of this propety, it is legal to call
+Because of this property, it is legal to call
 .Fn tss_delete
 from inside a destructor.
-Any destructors that had been assocaited with
+Any destructors that had been associated with
 .Fa key
 will no longer be called when a thread terminates.
 .Ss Obtaining Values
@@ -110,7 +110,7 @@
 .Fn tss_set
 function sets the value of the key
 .Fa key
-for the callling thread to
+for the calling thread to
 .Fa value ,
 which may be obtained by subsequent calls to
 .Fa tss_get .
--- old/usr/src/man/man3c/wcscoll.3c	Tue Aug 20 06:34:39 2019
+++ new/usr/src/man/man3c/wcscoll.3c	Tue Aug 20 06:34:39 2019
@@ -44,11 +44,10 @@
 .\" Portions Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved
 .\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"
-.TH WCSCOLL 3C "April 9, 2016"
+.TH WCSCOLL 3C "Aug 20, 2019"
 .SH NAME
-wcscoll, wcscoll_l wscoll \- wide character string comparison using collating information
+wcscoll, wcscoll_l, wscoll \- wide character string comparison using collating information
 .SH SYNOPSIS
-.LP
 .nf
 #include <wchar.h>
 
@@ -63,7 +62,6 @@
 \fBint\fR \fBwscoll\fR(\fBconst wchar_t *\fR\fIws1\fR, \fBconst wchar_t *\fR\fIws2\fR);
 .fi
 .SH DESCRIPTION
-.LP
 The \fBwcscoll()\fR, \fBwcscoll_l()\fR, and \fBwscoll()\fR functions compare
 the wide character
 string pointed to by \fIws1\fR to the wide character string pointed to by
@@ -80,7 +78,6 @@
 instead of operating in the current locale, it operates in the locale
 specified by \fIloc\fR.
 .SH RETURN VALUES
-.LP
 Upon successful completion, these functions return an
 integer greater than, equal to, or less than 0, depending upon whether the wide
 character string pointed to by \fIws1\fR is greater than, equal to, or less
@@ -89,12 +86,11 @@
 specified by \fIloc\fR. On error,
 they set \fBerrno\fR, but no return value is reserved to indicate an error.
 .SH ERRORS
-.LP
 The \fBwcscoll()\fR, \fBwcscoll_l()\fR and \fBwscoll()\fR functions may fail if:
 .sp
 .ne 2
 .na
-\fB\fBEINVAL\fR\fR
+\fBEINVAL\fR
 .ad
 .RS 10n
 The \fIws1\fR or \fIws2\fR arguments contain wide character codes outside the
@@ -101,11 +97,9 @@
 domain of the collating sequence.
 .RE
 .SH USAGE
-.LP
 The \fBwcsxfrm\fR(3C) and \fBwcscmp\fR(3C) functions should be used for sorting
 large lists, or when performing many comparisons on the same strings.
 .SH ATTRIBUTES
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .TS
 box;
@@ -124,7 +118,6 @@
 The \fBwcscoll()\fR and \fBwcscoll_l()\fR functions are Standard.
 The \fBwscoll()\fR function is Committed.
 .SH SEE ALSO
-.LP
 \fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBuselocale\fR(3C),
 \fBwcscmp\fR(3C), \fBwcsxfrm\fR(3C), \fBattributes\fR(5),
 \fBstandards\fR(5)
--- old/usr/src/man/man3devid/Makefile	Tue Aug 20 06:34:39 2019
+++ new/usr/src/man/man3devid/Makefile	Tue Aug 20 06:34:39 2019
@@ -16,9 +16,9 @@
 
 include		$(SRC)/Makefile.master
 
-MANSECT= 	3devid
+MANSECT=	3devid
 
-MANFILES= 	devid_get.3devid
+MANFILES=	devid_get.3devid
 
 MANLINKS=	devid_compare.3devid		\
 		devid_deviceid_to_nmlist.3devid	\
@@ -29,6 +29,7 @@
 		devid_str_decode.3devid		\
 		devid_str_encode.3devid		\
 		devid_str_free.3devid		\
+		devid_str_from_path.3devid	\
 		devid_valid.3devid
 
 devid_compare.3devid		:= LINKSRC = devid_get.3devid
@@ -40,6 +41,7 @@
 devid_str_decode.3devid		:= LINKSRC = devid_get.3devid
 devid_str_encode.3devid		:= LINKSRC = devid_get.3devid
 devid_str_free.3devid		:= LINKSRC = devid_get.3devid
+devid_str_from_path.3devid	:= LINKSRC = devid_get.3devid
 devid_valid.3devid		:= LINKSRC = devid_get.3devid
 
 .KEEP_STATE:
--- old/usr/src/man/man3ofmt/Makefile	Tue Aug 20 06:34:39 2019
+++ new/usr/src/man/man3ofmt/Makefile	Tue Aug 20 06:34:39 2019
@@ -22,6 +22,8 @@
 MANLINKS=	ofmt_close.3ofmt \
 		ofmt_open.3ofmt \
 		ofmt_print.3ofmt \
+		ofmt_print_header.3ofmt \
+		ofmt_set_fs.3ofmt \
 		ofmt_strerror.3ofmt \
 		ofmt_update_winsize.3ofmt
 
--- old/usr/src/man/man3proc/Makefile	Tue Aug 20 06:34:39 2019
+++ new/usr/src/man/man3proc/Makefile	Tue Aug 20 06:34:39 2019
@@ -253,6 +253,7 @@
 		ps_ptread.3proc			\
 		ps_ptwrite.3proc		\
 		ps_pwrite.3proc			\
+		Psecflags_free.3proc		\
 		Psetsysexit.3proc		\
 		Pstop.3proc			\
 		Psymbol_iter_by_addr.3proc	\
@@ -300,6 +301,8 @@
 
 Pfree.3proc			:= LINKSRC = Prelease.3proc
 
+Psecflags_free.3proc		:= LINKSRC = Psecflags.3proc
+
 Plwp_iter_all.3proc		:= LINKSRC = Plwp_iter.3proc
 
 Pmapping_iter_resolved.3proc	:= LINKSRC = Pmapping_iter.3proc
--- old/usr/src/man/man3proc/Pcontent.3proc	Tue Aug 20 06:34:39 2019
+++ new/usr/src/man/man3proc/Pcontent.3proc	Tue Aug 20 06:34:39 2019
@@ -11,11 +11,11 @@
 .\"
 .\" Copyright 2015 Joyent, Inc.
 .\"
-.Dd May 11, 2016
+.Dd Aug 20, 2019
 .Dt PCONTENT 3PROC
 .Os
 .Sh NAME
-.Nm Pconent
+.Nm Pcontent
 .Nd obtain process content types available
 .Sh LIBRARY
 .Lb libproc
--- old/usr/src/man/man3proc/proc_arg_grab.3proc	Tue Aug 20 06:34:39 2019
+++ new/usr/src/man/man3proc/proc_arg_grab.3proc	Tue Aug 20 06:34:39 2019
@@ -11,12 +11,12 @@
 .\"
 .\" Copyright 2015 Joyent, Inc.
 .\"
-.Dd May 11, 2016
+.Dd Aug 20, 2019
 .Dt PROC_ARG_GRAB 3PROC
 .Os
 .Sh NAME
 .Nm proc_arg_grab ,
-.Nm proc_arg_xrgab
+.Nm proc_arg_xgrab
 .Nd process grabbing utility function
 .Sh SYNOPSIS
 .Lb libproc
--- old/usr/src/man/man3proc/proc_get_status.3proc	Tue Aug 20 06:34:40 2019
+++ new/usr/src/man/man3proc/proc_get_status.3proc	Tue Aug 20 06:34:40 2019
@@ -11,23 +11,23 @@
 .\"
 .\" Copyright 2015 Joyent, Inc.
 .\"
-.Dd May 11, 2016
+.Dd Aug 20, 2019
 .Dt PROC_GET_STATUS 3PROC
 .Os
 .Sh NAME
-.Nm proc_get_pstatus
+.Nm proc_get_status
 .Nd get process status information
 .Sh SYNOPSIS
 .Lb libproc
 .In libproc.h
 .Ft int
-.Fo proc_get_pstatus
+.Fo proc_get_status
 .Fa "pid_t pid"
 .Fa "pstatus_t *psp"
 .Fc
 .Sh DESCRIPTION
 The
-.Fn proc_get_pstatus
+.Fn proc_get_status
 function is a convenient way to read the /proc status file for the
 process
 .Fa pid .
@@ -39,7 +39,7 @@
 .Xr proc 4 .
 .Sh RETURN VALUES
 Upon successful completion, the
-.Fn proc_get_pstatus
+.Fn proc_get_status
 function returns
 .Sy 0 .
 Otherwise,
--- old/usr/src/man/man9e/usba_hcdi_pipe_reset.9e	Tue Aug 20 06:34:40 2019
+++ new/usr/src/man/man9e/usba_hcdi_pipe_reset.9e	Tue Aug 20 06:34:40 2019
@@ -11,11 +11,11 @@
 .\"
 .\" Copyright 2016 Joyent, Inc.
 .\"
-.Dd Dec 22, 2016
+.Dd Aug 20, 2019
 .Dt USBA_HCDI_PIPE_RESET 9E
 .Os
 .Sh NAME
-.Nm usba_hcdi_pipe_rest
+.Nm usba_hcdi_pipe_reset
 .Nd reset an open USB pipe
 .Sh SYNOPSIS
 .In sys/usb/usba/hcdi.h
--- old/usr/src/man/man9f/usba_hubdi_dev_ops.9f	Tue Aug 20 06:34:40 2019
+++ new/usr/src/man/man9f/usba_hubdi_dev_ops.9f	Tue Aug 20 06:34:40 2019
@@ -11,11 +11,11 @@
 .\"
 .\" Copyright 2016 Joyent, Inc.
 .\"
-.Dd Sep 16, 2016
+.Dd Aug 20, 2019
 .Dt USBA_HCDI_DEV_OPS 9F
 .Os
 .Sh NAME
-.Nm usba_hubdi_bus_ops ,
+.Nm usba_hubdi_dev_ops ,
 .Nm usba_hubdi_root_hub_power
 .Nd device operations utility functions for HCD drivers
 .Sh SYNOPSIS
--- old/usr/src/man/man9s/Makefile	Tue Aug 20 06:34:40 2019
+++ new/usr/src/man/man9s/Makefile	Tue Aug 20 06:34:40 2019
@@ -105,6 +105,7 @@
 		mac_register_t.9s		\
 		mblk.9s				\
 		usb_ep_ss_comp_descr_t.9s	\
+		usb_ep_xdescr_t.9s		\
 		usb_bulk_req_t.9s		\
 		usb_bulk_request.9s		\
 		usb_ctrl_req_t.9s		\
--- old/usr/src/pkg/manifests/driver-usb.mf	Tue Aug 20 06:34:40 2019
+++ new/usr/src/pkg/manifests/driver-usb.mf	Tue Aug 20 06:34:40 2019
@@ -267,6 +267,7 @@
 link path=usr/share/man/man9s/usb_ctrl_request.9s target=usb_ctrl_req.9s
 link path=usr/share/man/man9s/usb_ep_ss_comp_descr_t.9s \
     target=usb_ep_ss_comp_descr.9s
+link path=usr/share/man/man9s/usb_ep_xdescr_t.9s target=usb_ep_xdescr.9s
 link path=usr/share/man/man9s/usb_intr_req_t.9s target=usb_intr_req.9s
 link path=usr/share/man/man9s/usb_intr_request.9s target=usb_intr_req.9s
 link path=usr/share/man/man9s/usb_isoc_req_t.9s target=usb_isoc_req.9s
--- old/usr/src/pkg/manifests/system-library.man3c.inc	Tue Aug 20 06:34:40 2019
+++ new/usr/src/pkg/manifests/system-library.man3c.inc	Tue Aug 20 06:34:40 2019
@@ -948,6 +948,7 @@
 link path=usr/share/man/man3c/iswalnum_l.3c target=iswalpha.3c
 link path=usr/share/man/man3c/iswalpha_l.3c target=iswalpha.3c
 link path=usr/share/man/man3c/iswascii.3c target=iswalpha.3c
+link path=usr/share/man/man3c/iswascii_l.3c target=iswalpha.3c
 link path=usr/share/man/man3c/iswblank.3c target=iswalpha.3c
 link path=usr/share/man/man3c/iswblank_l.3c target=iswalpha.3c
 link path=usr/share/man/man3c/iswcntrl.3c target=iswalpha.3c
--- old/usr/src/pkg/manifests/system-library.man3devid.inc	Tue Aug 20 06:34:40 2019
+++ new/usr/src/pkg/manifests/system-library.man3devid.inc	Tue Aug 20 06:34:40 2019
@@ -30,4 +30,6 @@
     target=devid_get.3devid
 link path=usr/share/man/man3devid/devid_str_free.3devid \
     target=devid_get.3devid
+link path=usr/share/man/man3devid/devid_str_from_path.3devid \
+    target=devid_get.3devid
 link path=usr/share/man/man3devid/devid_valid.3devid target=devid_get.3devid
--- old/usr/src/pkg/manifests/system-library.man3ofmt.inc	Tue Aug 20 06:34:40 2019
+++ new/usr/src/pkg/manifests/system-library.man3ofmt.inc	Tue Aug 20 06:34:40 2019
@@ -17,5 +17,7 @@
 link path=usr/share/man/man3ofmt/ofmt_close.3ofmt target=ofmt.3ofmt
 link path=usr/share/man/man3ofmt/ofmt_open.3ofmt target=ofmt.3ofmt
 link path=usr/share/man/man3ofmt/ofmt_print.3ofmt target=ofmt.3ofmt
+link path=usr/share/man/man3ofmt/ofmt_print_header.3ofmt target=ofmt.3ofmt
+link path=usr/share/man/man3ofmt/ofmt_set_fs.3ofmt target=ofmt.3ofmt
 link path=usr/share/man/man3ofmt/ofmt_strerror.3ofmt target=ofmt.3ofmt
 link path=usr/share/man/man3ofmt/ofmt_update_winsize.3ofmt target=ofmt.3ofmt
--- old/usr/src/pkg/manifests/system-library.man3proc.inc	Tue Aug 20 06:34:40 2019
+++ new/usr/src/pkg/manifests/system-library.man3proc.inc	Tue Aug 20 06:34:40 2019
@@ -246,6 +246,7 @@
 link path=usr/share/man/man3proc/proc_str2sysset.3proc target=proc_str2fltset.3proc
 link path=usr/share/man/man3proc/proc_sysname.3proc target=proc_fltname.3proc
 link path=usr/share/man/man3proc/proc_sysset2str.3proc target=proc_fltset2str.3proc
+link path=usr/share/man/man3proc/Psecflags_free.3proc target=Psecflags.3proc
 link path=usr/share/man/man3proc/Psetsysexit.3proc target=Psetsysentry.3proc
 link path=usr/share/man/man3proc/Pstop.3proc target=Pstopstatus.3proc
 link path=usr/share/man/man3proc/Psymbol_iter_by_addr.3proc target=Psymbol_iter.3proc
